<?php
define('MKTOP', 1);
$way = '../';
require_once $way . 'system/includes/connect.php';
//error_reporting(0);
header("Content-type: image/gif");
header("Cache-Control: no-store, no-cache, must-revalidate, post-check = 0, pre-check = 0");
header("Expires: " . gmdate('D, d M Y H:i:s T', ($_SERVER['REQUEST_TIME'] + 2592000)));
$sait_t = $mysql->prepare("SELECT `id`, `hits`, `hosts`, `image`, `image_s`, `status`, `ban` FROM `sait` WHERE `id` = ?")->execute(array($id));
if ($sait_t->rowCount()) {
    $sait = $sait_t->fetch(PDO::FETCH_ASSOC);
    if (!$sait['status']) {
        $img = $way . 'images/no_aktiv.gif';
        $image = imagecreatefromgif($img);
        imagegif($image);
        imagedestroy($image);
        exit;
    }
    if ($sait['ban'] == 1) {
        $img = $way . 'images/ban.gif';
        $image = imagecreatefromgif($img);
        imagegif($image);
        imagedestroy($image);
        exit;
    }
    $time = $_SERVER['REQUEST_TIME'];
    // Проверяем по ID IP и Времени, если нет совпадение обновляем статистику, ещё делаем похожую проверку с реферером и если результата ноль, обновляем данные
    $isset = $mysql->prepare("SELECT `id_sait` FROM `hosts` WHERE `id_sait` = ? AND `ip` = ? AND `time` > ?")->execute(array($sait['id'], $ip, mktime(0, 0, 0, date('m'), date('d'), date('Y'))));
    if (!$isset->rowCount()) {
        $mysql->prepare("BEGIN; INSERT INTO `hosts` SET `time` = ?, `id_sait` = ?, `ip` = ?, `browser` = ?; UPDATE `sait` SET `hosts` = `hosts` + ?, `all_hosts` = `all_hosts` + ? WHERE `id` = ?; INSERT INTO `hits` SET `time` = ?, `id_sait` = ?, `ip` = ?, `browser` = ?; UPDATE `sait` SET `hits` = `hits` + ?, `all_hits` = `all_hits` + ? WHERE `id` = ?; COMMIT;")->execute(array($time, $sait['id'], $ip, browser(), 1, 1, $sait['id'], $time, $sait['id'], $ip, browser(), 1, 1,  $sait['id']));
    } else {
        $ref = $mysql->prepare("SELECT `id_sait` FROM `hits` WHERE `id_sait` = ? AND `ip` = ? AND `time` > ? AND `page` = ?")->execute(array($sait['id'], $ip, ($time - 4), protect($_SERVER['HTTP_REFERER'], 250)));
	if (!$ref->rowCount()) {
	    $mysql->prepare("BEGIN; INSERT INTO `hits` SET `time` = ?, `id_sait` = ?, `ip` = ?,`browser` = ?, `page` = ?; UPDATE `sait` SET `hits` = `hits` + ?, `all_hits` = `all_hits` + ? WHERE `id` = ?; COMMIT;")->execute(array($time, $sait['id'], $ip, browser(), protect($_SERVER['HTTP_REFERER'], 250), 1, 1, $sait['id']));
        } else {
            $mysql->prepare("INSERT INTO `hits` SET `id_sait` = ?, `ip` = ?, `browser` = ?, `page` = ?")->execute(array($sait['id'], $ip, browser(), protect($_SERVER['HTTP_REFERER'], 250)));
        }
    }
        
    //Проверка онлайн на сайте с корректировкой данных
    $checkOnline = $mysql->prepare("SELECT `id_sait` FROM `sait_online` WHERE `ip` = ? AND `ua` = ? AND `time` > ? AND `id_sait` = ?")->execute(array($ip, $ua, ($time - 180), $sait['id']));
    if ($checkOnline->rowCount()) {
        $mysql->prepare("UPDATE `sait_online` SET `time` = ? WHERE `ip` = ? AND `ua` = ? AND `id_sait` = ?")->execute(array($time, $ip, $ua, $sait['id']));
    } else {
        $mysql->prepare("BEGIN; DELETE FROM `sait_online` WHERE `time` < ? AND `id_sait` = ?; INSERT INTO `sait_online` SET `id_sait` = ?, `ip` = ?, `ua` = ?, `time` = ?; COMMIT;")->execute(array(($time - 180), $sait['id'], $sait['id'], $ip, $ua, $time));
    }
    // --- Создаём картинку --- //
    if ($_GET['size'] == 'small') {
	$img = $way . 'images/small/' . $sait['image_s'] . '.gif';
	$image = imagecreatefromgif($img);
    }        
    if ($_GET['size'] == 'big') {
        $img = $way . 'images/big/' . $sait['image'] . '.gif';
        $image = imagecreatefromgif($img);
        //$hits = 70 - (strlen($sait['hits']) * 5);
        $hosts = 70 - (strlen($sait['hosts']) * 5);
        $black = imagecolorallocate($image, 255, 255, 255);
        //imagestring($image, 1, 26, 14, $sait['hosts'], $black);//выводит хосты слева снизу
        imagestring($image, 1, $hosts, 14, $sait['hosts'], $black);
        //imagestring($image, 1, $hits, 14, $sait['hits'], $black);
    }
} else {
    $img = $way . 'images/default.gif';
    $image = imagecreatefromgif($img);
}
imagegif($image);
imagedestroy($image);

?>